from django.urls import path

from .views import (
    index,
    client_list,
    client_detail,
    client_create,
    client_update,
    client_delete,
    portfolio_list,
    portfolio_detail,
    portfolio_create,
    portfolio_update,
    portfolio_delete,
    activity_list,
    activity_detail,
    activity_create,
    activity_update,
    activity_delete,
    document_list,
    document_detail,
    document_upload,
    document_delete
)

urlpatterns = [
    path("", index, name="home"),
    path("clients/", client_list, name="client_list"),
    path("clients/add/", client_create, name="client_create"),
    path("clients/<uuid:pk>/", client_detail, name="client_detail"),
    path("clients/<uuid:pk>/edit/", client_update, name="client_update"),
    path("clients/<uuid:pk>/delete/", client_delete, name="client_delete"),
    path("portfolios/", portfolio_list, name="portfolio_list"),
    path("portfolios/add/", portfolio_create, name="portfolio_create"),
    path("portfolios/<uuid:pk>/", portfolio_detail, name="portfolio_detail"),
    path("portfolios/<uuid:pk>/edit/", portfolio_update, name="portfolio_update"),
    path("portfolios/<uuid:pk>/delete/", portfolio_delete, name="portfolio_delete"),
    path("activities/", activity_list, name="activity_list"),
    path("activities/add/", activity_create, name="activity_create"),
    path("activities/<uuid:pk>/", activity_detail, name="activity_detail"),
    path("activities/<uuid:pk>/edit/", activity_update, name="activity_update"),
    path("activities/<uuid:pk>/delete/", activity_delete, name="activity_delete"),
    path("documents/", document_list, name="document_list"),
    path("documents/upload/", document_upload, name="document_upload"),
    path("documents/<uuid:pk>/", document_detail, name="document_detail"),
    path("documents/<uuid:pk>/delete/", document_delete, name="document_delete"),
]